{% extends "siswa/userbase.html.twig" %}

{% block body %}

   {% embed 'siswa/secondaryBar.html.twig' %}
       {% block title %}
           Laporkan Soal
       {% endblock %}

   {% endembed %}

    <section class="container-fluid mt-3">


        <p class="font-weight-bold mt-3">Penulisan Soal Salah</p>
        <p class="f10 mb-0" id="title">{{ title }}</p>
        <p class="f10 mb-0">Paket : <span>{{ data.tryOut.tryOut.title }}</span></p>
         <div class="gen-card p-3  mt-2">{{ data.question|raw }}</div>

        <div class="form-group mt-3">
            <label for="detailLaporan">Detail Laporan (Wajib Diisi)</label>
            <textarea class="form-control" id="detailLaporan" rows="3"></textarea>
            <small id="detailLaporanHelp" class="form-text text-muted">Minimal 30 karakter.</small>
        </div>

        <p class="f08">Dengan klik "Laporkan", saya menyatakan bahwa segala informasi yang dilaporkan memang benar.</p>

        <div style="height: 100vh"></div>

    </section>

    <section class="container-fluid">
        <div class="fixed-bottom p-2 bg-white">
            <div class="d-flex justify-content-between align-items-center flex-column">
                <a class="bt-primary m-1 f10 d-block w-100" data-toggle="modal" data-target="#penawaranGantiGuru">
                    Laporkan
                </a>
            </div>
        </div>
    </section>


    {#    MODAL PENAWARAN GURU #}
    <div class="modal fade" id="penawaranGantiGuru" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header d-flex">
                    <a class="text-danger" data-dismiss="modal" aria-label="Close"><i
                                class="fa fa-close"></i></a>
                </div>
                <div class="modal-body p-3">

                    <p class="font-weight-bold ">Anda yakin untuk melanjutkan untuk melaporkan soal?</p>

                    <div class="d-flex justify-content-between align-items-center flex-column">
                        <a class="bt-primary m-1 f10 d-block w-100"  id="confirmReport" >
                            Ya
                        </a>

                        <a class="bt-outline-primary m-1 f10 d-block w-100" data-toggle="modal"
                           data-target="#exampleModalCenter">
                            Tidak
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {#    MODAL SEDANG MENCARIKAN GURU #}
{#    <div class="modal fade" id="sedangMencariGuru" tabindex="-1" role="dialog" aria-hidden="true">#}
{#        <div class="modal-dialog modal-dialog-centered" role="document">#}
{#            <div class="modal-content">#}

{#                <div class="modal-body p-3">#}

{#                    <p class="font-weight-bold text-center">Kakak Sedang Mencarikan Guru Pengganti Untuk Kamu</p>#}

{#                    <p class="text-center">Kamu dapat menutup halaman ini. Penggantian guru membutuhkan waktu beberapa#}
{#                        saat. Guru pengganti dapat kamu temukan di halaman guruku setelah kakak mendapatkannya.</p>#}

{#                    <a class="bt-primary m-1 f10 d-block w-100" data-toggle="modal"#}
{#                       data-dismiss="modal" aria-label="Close">#}
{#                        OKE#}
{#                    </a>#}
{#                </div>#}
{#            </div>#}
{#        </div>#}
{#    </div>#}

{% endblock %}

{% block JSMore %}
    <script src="{{ asset('js/wkwkwk.js') }}"></script>
    <script src="{{ asset('js/formatter.js') }}"></script>
    <script>
        function afterReport(data)
        {
            window.location = data['redirect'];
        }
        $(document).on("click", "#confirmReport", function(){
            ajaxCall("afterReport", "{{ path("laporkanSoal-api", {quiz: data.id, reg : reg}) }}", "POST", true, {
                "description": $("#detailLaporan").val(),
                "title": $("#title").html(),
            });
        });
    </script>

{% endblock %}